QMotif(3qt)

NAME
QMotif - The basis of the

SYNOPSIS
This class is part of the Qt Motif Extension.

#include <qmotif.h>

Inherits QEventLoop.

  Public Members
QMotif ( const char * applicationClass, XtAppContext context = NULL, XrmOptionDescRec * options = 0, int numOptions = 0 )
~QMotif ()
XtAppContext applicationContext () const

  Static Public Members
Display * x11Display ()

DESCRIPTION
This class is defined in the Qt Motif Extension, which can be found in the qt/extensions directory. It is not included in the main Qt API.

The QMotif class provides the basis of the Motif Extension.

QMotif only provides a few public functions, but it is at the heart of the integration. QMotif is responsible for initializing the Xt toolkit and the Xt application context. It does not open a connection to the X server, that is done by QApplication.

The only member function in QMotif that depends on an X server connection is QMotif::initialize(). QMotif must be created before QApplication.

Example usage of QMotif and QApplication:

    static char *resources[] = {
        ...
    };
    int main(int argc, char **argv)
    {
        QMotif integrator( "AppClass" );
        XtAppSetFallbackResources( integrator.applicationContext(),
                                   resources );
        QApplication app( argc, argv );
        ...
        return app.exec();
    }

MEMBER FUNCTION DOCUMENTATION

QMotif::QMotif ( const char * applicationClass, XtAppContext context = NULL, XrmOptionDescRec * options = 0, int numOptions = 0 )
Creates QMotif, which allows Qt and Xt/Motif integration.

If context is 0, QMotif creates a default application context itself. The context is accessible through applicationContext().

All arguments passed to this function (applicationClass, options and numOptions) are used to call XtDisplayInitialize() after QApplication has been constructed.

QMotif::~QMotif ()
Destroys QMotif.

XtAppContext QMotif::applicationContext () const
Returns the application context.

Display * QMotif::x11Display () [static]
Returns the X11 display connection used by the Qt Motif Extension.

SEE ALSO
http://doc.trolltech.com/qmotif.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qmotif.3) and the Qt version (3.3.5).